Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network241.3.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
241.3.76.0
Broadcast address
241.3.79.255
First usable
241.3.76.1
Last usable
241.3.79.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F1034C00 · Integer 4043525120 to 4043526143
Reverse DNS zones
76.3.241.in-addr.arpa
77.3.241.in-addr.arpa
78.3.241.in-addr.arpa
79.3.241.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110001.00000011.01001100.00000000241.3.76.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network11110001.00000011.01001100.00000000241.3.76.0
Broadcast11110001.00000011.01001111.11111111241.3.79.255
Split into smaller subnets/32

241.3.76.0/22 makes 1,024 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1241.3.76.0/32241.3.76.0 to 241.3.76.0—1
2241.3.76.1/32241.3.76.1 to 241.3.76.1—1
3241.3.76.2/32241.3.76.2 to 241.3.76.2—1
4241.3.76.3/32241.3.76.3 to 241.3.76.3—1
5241.3.76.4/32241.3.76.4 to 241.3.76.4—1
6241.3.76.5/32241.3.76.5 to 241.3.76.5—1
7241.3.76.6/32241.3.76.6 to 241.3.76.6—1
8241.3.76.7/32241.3.76.7 to 241.3.76.7—1
9241.3.76.8/32241.3.76.8 to 241.3.76.8—1
10241.3.76.9/32241.3.76.9 to 241.3.76.9—1
11241.3.76.10/32241.3.76.10 to 241.3.76.10—1
12241.3.76.11/32241.3.76.11 to 241.3.76.11—1
13241.3.76.12/32241.3.76.12 to 241.3.76.12—1
14241.3.76.13/32241.3.76.13 to 241.3.76.13—1
15241.3.76.14/32241.3.76.14 to 241.3.76.14—1
16241.3.76.15/32241.3.76.15 to 241.3.76.15—1
17241.3.76.16/32241.3.76.16 to 241.3.76.16—1
18241.3.76.17/32241.3.76.17 to 241.3.76.17—1
19241.3.76.18/32241.3.76.18 to 241.3.76.18—1
20241.3.76.19/32241.3.76.19 to 241.3.76.19—1
21241.3.76.20/32241.3.76.20 to 241.3.76.20—1
22241.3.76.21/32241.3.76.21 to 241.3.76.21—1
23241.3.76.22/32241.3.76.22 to 241.3.76.22—1
24241.3.76.23/32241.3.76.23 to 241.3.76.23—1
25241.3.76.24/32241.3.76.24 to 241.3.76.24—1
26241.3.76.25/32241.3.76.25 to 241.3.76.25—1
27241.3.76.26/32241.3.76.26 to 241.3.76.26—1
28241.3.76.27/32241.3.76.27 to 241.3.76.27—1
29241.3.76.28/32241.3.76.28 to 241.3.76.28—1
30241.3.76.29/32241.3.76.29 to 241.3.76.29—1
31241.3.76.30/32241.3.76.30 to 241.3.76.30—1
32241.3.76.31/32241.3.76.31 to 241.3.76.31—1
33241.3.76.32/32241.3.76.32 to 241.3.76.32—1
34241.3.76.33/32241.3.76.33 to 241.3.76.33—1
35241.3.76.34/32241.3.76.34 to 241.3.76.34—1
36241.3.76.35/32241.3.76.35 to 241.3.76.35—1
37241.3.76.36/32241.3.76.36 to 241.3.76.36—1
38241.3.76.37/32241.3.76.37 to 241.3.76.37—1
39241.3.76.38/32241.3.76.38 to 241.3.76.38—1
40241.3.76.39/32241.3.76.39 to 241.3.76.39—1
41241.3.76.40/32241.3.76.40 to 241.3.76.40—1
42241.3.76.41/32241.3.76.41 to 241.3.76.41—1
43241.3.76.42/32241.3.76.42 to 241.3.76.42—1
44241.3.76.43/32241.3.76.43 to 241.3.76.43—1
45241.3.76.44/32241.3.76.44 to 241.3.76.44—1
46241.3.76.45/32241.3.76.45 to 241.3.76.45—1
47241.3.76.46/32241.3.76.46 to 241.3.76.46—1
48241.3.76.47/32241.3.76.47 to 241.3.76.47—1
49241.3.76.48/32241.3.76.48 to 241.3.76.48—1
50241.3.76.49/32241.3.76.49 to 241.3.76.49—1
51241.3.76.50/32241.3.76.50 to 241.3.76.50—1
52241.3.76.51/32241.3.76.51 to 241.3.76.51—1
53241.3.76.52/32241.3.76.52 to 241.3.76.52—1
54241.3.76.53/32241.3.76.53 to 241.3.76.53—1
55241.3.76.54/32241.3.76.54 to 241.3.76.54—1
56241.3.76.55/32241.3.76.55 to 241.3.76.55—1
57241.3.76.56/32241.3.76.56 to 241.3.76.56—1
58241.3.76.57/32241.3.76.57 to 241.3.76.57—1
59241.3.76.58/32241.3.76.58 to 241.3.76.58—1
60241.3.76.59/32241.3.76.59 to 241.3.76.59—1
61241.3.76.60/32241.3.76.60 to 241.3.76.60—1
62241.3.76.61/32241.3.76.61 to 241.3.76.61—1
63241.3.76.62/32241.3.76.62 to 241.3.76.62—1
64241.3.76.63/32241.3.76.63 to 241.3.76.63—1
65241.3.76.64/32241.3.76.64 to 241.3.76.64—1
66241.3.76.65/32241.3.76.65 to 241.3.76.65—1
67241.3.76.66/32241.3.76.66 to 241.3.76.66—1
68241.3.76.67/32241.3.76.67 to 241.3.76.67—1
69241.3.76.68/32241.3.76.68 to 241.3.76.68—1
70241.3.76.69/32241.3.76.69 to 241.3.76.69—1
71241.3.76.70/32241.3.76.70 to 241.3.76.70—1
72241.3.76.71/32241.3.76.71 to 241.3.76.71—1
73241.3.76.72/32241.3.76.72 to 241.3.76.72—1
74241.3.76.73/32241.3.76.73 to 241.3.76.73—1
75241.3.76.74/32241.3.76.74 to 241.3.76.74—1
76241.3.76.75/32241.3.76.75 to 241.3.76.75—1
77241.3.76.76/32241.3.76.76 to 241.3.76.76—1
78241.3.76.77/32241.3.76.77 to 241.3.76.77—1
79241.3.76.78/32241.3.76.78 to 241.3.76.78—1
80241.3.76.79/32241.3.76.79 to 241.3.76.79—1
81241.3.76.80/32241.3.76.80 to 241.3.76.80—1
82241.3.76.81/32241.3.76.81 to 241.3.76.81—1
83241.3.76.82/32241.3.76.82 to 241.3.76.82—1
84241.3.76.83/32241.3.76.83 to 241.3.76.83—1
85241.3.76.84/32241.3.76.84 to 241.3.76.84—1
86241.3.76.85/32241.3.76.85 to 241.3.76.85—1
87241.3.76.86/32241.3.76.86 to 241.3.76.86—1
88241.3.76.87/32241.3.76.87 to 241.3.76.87—1
89241.3.76.88/32241.3.76.88 to 241.3.76.88—1
90241.3.76.89/32241.3.76.89 to 241.3.76.89—1
91241.3.76.90/32241.3.76.90 to 241.3.76.90—1
92241.3.76.91/32241.3.76.91 to 241.3.76.91—1
93241.3.76.92/32241.3.76.92 to 241.3.76.92—1
94241.3.76.93/32241.3.76.93 to 241.3.76.93—1
95241.3.76.94/32241.3.76.94 to 241.3.76.94—1
96241.3.76.95/32241.3.76.95 to 241.3.76.95—1
97241.3.76.96/32241.3.76.96 to 241.3.76.96—1
98241.3.76.97/32241.3.76.97 to 241.3.76.97—1
99241.3.76.98/32241.3.76.98 to 241.3.76.98—1
100241.3.76.99/32241.3.76.99 to 241.3.76.99—1
101241.3.76.100/32241.3.76.100 to 241.3.76.100—1
102241.3.76.101/32241.3.76.101 to 241.3.76.101—1
103241.3.76.102/32241.3.76.102 to 241.3.76.102—1
104241.3.76.103/32241.3.76.103 to 241.3.76.103—1
105241.3.76.104/32241.3.76.104 to 241.3.76.104—1
106241.3.76.105/32241.3.76.105 to 241.3.76.105—1
107241.3.76.106/32241.3.76.106 to 241.3.76.106—1
108241.3.76.107/32241.3.76.107 to 241.3.76.107—1
109241.3.76.108/32241.3.76.108 to 241.3.76.108—1
110241.3.76.109/32241.3.76.109 to 241.3.76.109—1
111241.3.76.110/32241.3.76.110 to 241.3.76.110—1
112241.3.76.111/32241.3.76.111 to 241.3.76.111—1
113241.3.76.112/32241.3.76.112 to 241.3.76.112—1
114241.3.76.113/32241.3.76.113 to 241.3.76.113—1
115241.3.76.114/32241.3.76.114 to 241.3.76.114—1
116241.3.76.115/32241.3.76.115 to 241.3.76.115—1
117241.3.76.116/32241.3.76.116 to 241.3.76.116—1
118241.3.76.117/32241.3.76.117 to 241.3.76.117—1
119241.3.76.118/32241.3.76.118 to 241.3.76.118—1
120241.3.76.119/32241.3.76.119 to 241.3.76.119—1
121241.3.76.120/32241.3.76.120 to 241.3.76.120—1
122241.3.76.121/32241.3.76.121 to 241.3.76.121—1
123241.3.76.122/32241.3.76.122 to 241.3.76.122—1
124241.3.76.123/32241.3.76.123 to 241.3.76.123—1
125241.3.76.124/32241.3.76.124 to 241.3.76.124—1
126241.3.76.125/32241.3.76.125 to 241.3.76.125—1
127241.3.76.126/32241.3.76.126 to 241.3.76.126—1
128241.3.76.127/32241.3.76.127 to 241.3.76.127—1
129241.3.76.128/32241.3.76.128 to 241.3.76.128—1
130241.3.76.129/32241.3.76.129 to 241.3.76.129—1
131241.3.76.130/32241.3.76.130 to 241.3.76.130—1
132241.3.76.131/32241.3.76.131 to 241.3.76.131—1
133241.3.76.132/32241.3.76.132 to 241.3.76.132—1
134241.3.76.133/32241.3.76.133 to 241.3.76.133—1
135241.3.76.134/32241.3.76.134 to 241.3.76.134—1
136241.3.76.135/32241.3.76.135 to 241.3.76.135—1
137241.3.76.136/32241.3.76.136 to 241.3.76.136—1
138241.3.76.137/32241.3.76.137 to 241.3.76.137—1
139241.3.76.138/32241.3.76.138 to 241.3.76.138—1
140241.3.76.139/32241.3.76.139 to 241.3.76.139—1
141241.3.76.140/32241.3.76.140 to 241.3.76.140—1
142241.3.76.141/32241.3.76.141 to 241.3.76.141—1
143241.3.76.142/32241.3.76.142 to 241.3.76.142—1
144241.3.76.143/32241.3.76.143 to 241.3.76.143—1
145241.3.76.144/32241.3.76.144 to 241.3.76.144—1
146241.3.76.145/32241.3.76.145 to 241.3.76.145—1
147241.3.76.146/32241.3.76.146 to 241.3.76.146—1
148241.3.76.147/32241.3.76.147 to 241.3.76.147—1
149241.3.76.148/32241.3.76.148 to 241.3.76.148—1
150241.3.76.149/32241.3.76.149 to 241.3.76.149—1
151241.3.76.150/32241.3.76.150 to 241.3.76.150—1
152241.3.76.151/32241.3.76.151 to 241.3.76.151—1
153241.3.76.152/32241.3.76.152 to 241.3.76.152—1
154241.3.76.153/32241.3.76.153 to 241.3.76.153—1
155241.3.76.154/32241.3.76.154 to 241.3.76.154—1
156241.3.76.155/32241.3.76.155 to 241.3.76.155—1
157241.3.76.156/32241.3.76.156 to 241.3.76.156—1
158241.3.76.157/32241.3.76.157 to 241.3.76.157—1
159241.3.76.158/32241.3.76.158 to 241.3.76.158—1
160241.3.76.159/32241.3.76.159 to 241.3.76.159—1
161241.3.76.160/32241.3.76.160 to 241.3.76.160—1
162241.3.76.161/32241.3.76.161 to 241.3.76.161—1
163241.3.76.162/32241.3.76.162 to 241.3.76.162—1
164241.3.76.163/32241.3.76.163 to 241.3.76.163—1
165241.3.76.164/32241.3.76.164 to 241.3.76.164—1
166241.3.76.165/32241.3.76.165 to 241.3.76.165—1
167241.3.76.166/32241.3.76.166 to 241.3.76.166—1
168241.3.76.167/32241.3.76.167 to 241.3.76.167—1
169241.3.76.168/32241.3.76.168 to 241.3.76.168—1
170241.3.76.169/32241.3.76.169 to 241.3.76.169—1
171241.3.76.170/32241.3.76.170 to 241.3.76.170—1
172241.3.76.171/32241.3.76.171 to 241.3.76.171—1
173241.3.76.172/32241.3.76.172 to 241.3.76.172—1
174241.3.76.173/32241.3.76.173 to 241.3.76.173—1
175241.3.76.174/32241.3.76.174 to 241.3.76.174—1
176241.3.76.175/32241.3.76.175 to 241.3.76.175—1
177241.3.76.176/32241.3.76.176 to 241.3.76.176—1
178241.3.76.177/32241.3.76.177 to 241.3.76.177—1
179241.3.76.178/32241.3.76.178 to 241.3.76.178—1
180241.3.76.179/32241.3.76.179 to 241.3.76.179—1
181241.3.76.180/32241.3.76.180 to 241.3.76.180—1
182241.3.76.181/32241.3.76.181 to 241.3.76.181—1
183241.3.76.182/32241.3.76.182 to 241.3.76.182—1
184241.3.76.183/32241.3.76.183 to 241.3.76.183—1
185241.3.76.184/32241.3.76.184 to 241.3.76.184—1
186241.3.76.185/32241.3.76.185 to 241.3.76.185—1
187241.3.76.186/32241.3.76.186 to 241.3.76.186—1
188241.3.76.187/32241.3.76.187 to 241.3.76.187—1
189241.3.76.188/32241.3.76.188 to 241.3.76.188—1
190241.3.76.189/32241.3.76.189 to 241.3.76.189—1
191241.3.76.190/32241.3.76.190 to 241.3.76.190—1
192241.3.76.191/32241.3.76.191 to 241.3.76.191—1
193241.3.76.192/32241.3.76.192 to 241.3.76.192—1
194241.3.76.193/32241.3.76.193 to 241.3.76.193—1
195241.3.76.194/32241.3.76.194 to 241.3.76.194—1
196241.3.76.195/32241.3.76.195 to 241.3.76.195—1
197241.3.76.196/32241.3.76.196 to 241.3.76.196—1
198241.3.76.197/32241.3.76.197 to 241.3.76.197—1
199241.3.76.198/32241.3.76.198 to 241.3.76.198—1
200241.3.76.199/32241.3.76.199 to 241.3.76.199—1
201241.3.76.200/32241.3.76.200 to 241.3.76.200—1
202241.3.76.201/32241.3.76.201 to 241.3.76.201—1
203241.3.76.202/32241.3.76.202 to 241.3.76.202—1
204241.3.76.203/32241.3.76.203 to 241.3.76.203—1
205241.3.76.204/32241.3.76.204 to 241.3.76.204—1
206241.3.76.205/32241.3.76.205 to 241.3.76.205—1
207241.3.76.206/32241.3.76.206 to 241.3.76.206—1
208241.3.76.207/32241.3.76.207 to 241.3.76.207—1
209241.3.76.208/32241.3.76.208 to 241.3.76.208—1
210241.3.76.209/32241.3.76.209 to 241.3.76.209—1
211241.3.76.210/32241.3.76.210 to 241.3.76.210—1
212241.3.76.211/32241.3.76.211 to 241.3.76.211—1
213241.3.76.212/32241.3.76.212 to 241.3.76.212—1
214241.3.76.213/32241.3.76.213 to 241.3.76.213—1
215241.3.76.214/32241.3.76.214 to 241.3.76.214—1
216241.3.76.215/32241.3.76.215 to 241.3.76.215—1
217241.3.76.216/32241.3.76.216 to 241.3.76.216—1
218241.3.76.217/32241.3.76.217 to 241.3.76.217—1
219241.3.76.218/32241.3.76.218 to 241.3.76.218—1
220241.3.76.219/32241.3.76.219 to 241.3.76.219—1
221241.3.76.220/32241.3.76.220 to 241.3.76.220—1
222241.3.76.221/32241.3.76.221 to 241.3.76.221—1
223241.3.76.222/32241.3.76.222 to 241.3.76.222—1
224241.3.76.223/32241.3.76.223 to 241.3.76.223—1
225241.3.76.224/32241.3.76.224 to 241.3.76.224—1
226241.3.76.225/32241.3.76.225 to 241.3.76.225—1
227241.3.76.226/32241.3.76.226 to 241.3.76.226—1
228241.3.76.227/32241.3.76.227 to 241.3.76.227—1
229241.3.76.228/32241.3.76.228 to 241.3.76.228—1
230241.3.76.229/32241.3.76.229 to 241.3.76.229—1
231241.3.76.230/32241.3.76.230 to 241.3.76.230—1
232241.3.76.231/32241.3.76.231 to 241.3.76.231—1
233241.3.76.232/32241.3.76.232 to 241.3.76.232—1
234241.3.76.233/32241.3.76.233 to 241.3.76.233—1
235241.3.76.234/32241.3.76.234 to 241.3.76.234—1
236241.3.76.235/32241.3.76.235 to 241.3.76.235—1
237241.3.76.236/32241.3.76.236 to 241.3.76.236—1
238241.3.76.237/32241.3.76.237 to 241.3.76.237—1
239241.3.76.238/32241.3.76.238 to 241.3.76.238—1
240241.3.76.239/32241.3.76.239 to 241.3.76.239—1
241241.3.76.240/32241.3.76.240 to 241.3.76.240—1
242241.3.76.241/32241.3.76.241 to 241.3.76.241—1
243241.3.76.242/32241.3.76.242 to 241.3.76.242—1
244241.3.76.243/32241.3.76.243 to 241.3.76.243—1
245241.3.76.244/32241.3.76.244 to 241.3.76.244—1
246241.3.76.245/32241.3.76.245 to 241.3.76.245—1
247241.3.76.246/32241.3.76.246 to 241.3.76.246—1
248241.3.76.247/32241.3.76.247 to 241.3.76.247—1
249241.3.76.248/32241.3.76.248 to 241.3.76.248—1
250241.3.76.249/32241.3.76.249 to 241.3.76.249—1
251241.3.76.250/32241.3.76.250 to 241.3.76.250—1
252241.3.76.251/32241.3.76.251 to 241.3.76.251—1
253241.3.76.252/32241.3.76.252 to 241.3.76.252—1
254241.3.76.253/32241.3.76.253 to 241.3.76.253—1
255241.3.76.254/32241.3.76.254 to 241.3.76.254—1
256241.3.76.255/32241.3.76.255 to 241.3.76.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses